import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataOktaEveryoneGroupConfig extends cdktf.TerraformMetaArguments {
    /**
    * Fetch group users, having default off cuts down on API calls.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/everyone_group#include_users DataOktaEveryoneGroup#include_users}
    */
    readonly includeUsers?: boolean | cdktf.IResolvable;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/okta/d/everyone_group okta_everyone_group}
*/
export declare class DataOktaEveryoneGroup extends cdktf.TerraformDataSource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/okta/d/everyone_group okta_everyone_group} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataOktaEveryoneGroupConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataOktaEveryoneGroupConfig);
    get description(): string;
    get id(): string;
    private _includeUsers?;
    get includeUsers(): boolean | cdktf.IResolvable;
    set includeUsers(value: boolean | cdktf.IResolvable);
    resetIncludeUsers(): void;
    get includeUsersInput(): boolean | cdktf.IResolvable | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
