import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataOktaGroupsConfig extends cdktf.TerraformMetaArguments {
    /**
    * Searches the name property of groups for matching value
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/groups#q DataOktaGroups#q}
    */
    readonly q?: string;
    /**
    * Searches for groups with a supported filtering expression for all attributes except for '_embedded', '_links', and 'objectClass'
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/groups#search DataOktaGroups#search}
    */
    readonly search?: string;
    /**
    * Type of the group. When specified in the terraform resource, will act as a filter when searching for the groups
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/groups#type DataOktaGroups#type}
    */
    readonly type?: string;
}
export declare class DataOktaGroupsGroups extends cdktf.ComplexComputedList {
    get description(): string;
    get id(): string;
    get name(): string;
    get type(): string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/okta/d/groups okta_groups}
*/
export declare class DataOktaGroups extends cdktf.TerraformDataSource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/okta/d/groups okta_groups} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataOktaGroupsConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataOktaGroupsConfig);
    groups(index: string): DataOktaGroupsGroups;
    get id(): string;
    private _q?;
    get q(): string;
    set q(value: string);
    resetQ(): void;
    get qInput(): string | undefined;
    private _search?;
    get search(): string;
    set search(value: string);
    resetSearch(): void;
    get searchInput(): string | undefined;
    private _type?;
    get type(): string;
    set type(value: string);
    resetType(): void;
    get typeInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
